io_uring_peek_cqe(3)

NAME
io_uring_peek_cqe - check if an io_uring completion event is available

SYNOPSIS
#include <liburing.h>

int io_uring_peek_cqe(struct io_uring *ring,
                      struct io_uring_cqe **cqe_ptr);

DESCRIPTION

The io_uring_peek_cqe(3) function returns an IO completion from the queue belonging to the ring param, if one is readily available. On successful return, cqe_ptr param is filled with a valid CQE entry. This function does not enter the kernel to wait for an event, an event is only returned if it's already available in the CQ ring.

RETURN VALUE
On success io_uring_peek_cqe(3) returns 0 and the cqe_ptr parameter is filled in. On failure it returns -EAGAIN.

SEE ALSO
io_uring_submit(3), io_uring_wait_cqes(3), io_uring_wait_cqe(3)